summaryrefslogtreecommitdiffstats
path: root/system/gpsd
diff options
context:
space:
mode:
author David Spencer <nobbutl@yahoo.co.uk>2010-05-11 20:01:59 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:59 +0200
commit2d3e9b9d88d735032e2833c54af8686562d5a70c (patch)
tree88fea648b082eeabf5898257ef8b0bf174bba5bb /system/gpsd
parentc4048881461763b4ae0ace02d7d6cad4802d6cef (diff)
downloadslackbuilds-2d3e9b9d88d735032e2833c54af8686562d5a70c.tar.gz
slackbuilds-2d3e9b9d88d735032e2833c54af8686562d5a70c.tar.xz
system/gpsd: Added to 12.0 repository
Diffstat (limited to 'system/gpsd')
-rw-r--r--system/gpsd/README9
-rw-r--r--system/gpsd/gpsd.SlackBuild60
-rw-r--r--system/gpsd/gpsd.info8
-rw-r--r--system/gpsd/slack-desc19
4 files changed, 96 insertions, 0 deletions
diff --git a/system/gpsd/README b/system/gpsd/README
new file mode 100644
index 0000000000..fac06c604d
--- /dev/null
+++ b/system/gpsd/README
@@ -0,0 +1,9 @@
+gpsd is a service daemon that monitors one or more GPSes attached to
+a host computer through serial or USB ports, making all data on the
+location/course/velocity available to be queried on TCP port 2947
+of the host computer. With gpsd, multiple GPS client applications
+(such as navigational and wardriving software) can share access to
+GPSes without contention or loss of data.
+
+Applications that presently use gpsd include pyGPS, Kismet, GPSdrive,
+gpeGPS, position, roadmap, roadnav, and gaia.
diff --git a/system/gpsd/gpsd.SlackBuild b/system/gpsd/gpsd.SlackBuild
new file mode 100644
index 0000000000..b1e692e046
--- /dev/null
+++ b/system/gpsd/gpsd.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+# Slackware build script for gpsd
+# Written by David Spencer <nobbutl@yahoo.co.uk>
+# This script is dedicated to the public domain
+
+set -e
+
+PRGNAM=gpsd
+VERSION=2.34
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-itrax \
+ --enable-tnt \
+ --enable-dbus
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/gpsd/gpsd.info b/system/gpsd/gpsd.info
new file mode 100644
index 0000000000..9a05634163
--- /dev/null
+++ b/system/gpsd/gpsd.info
@@ -0,0 +1,8 @@
+PRGNAM="gpsd"
+VERSION="2.34"
+HOMEPAGE="http://gpsd.berlios.de/"
+DOWNLOAD="http://download.berlios.de/gpsd/gpsd-2.34.tar.gz"
+MD5SUM="1ad07e10f34e46ffdaf10688743f2f43"
+MAINTAINER="David Spencer"
+EMAIL="nobbutl@yahoo.co.uk"
+APPROVED="rworkman"
diff --git a/system/gpsd/slack-desc b/system/gpsd/slack-desc
new file mode 100644
index 0000000000..f346f178c1
--- /dev/null
+++ b/system/gpsd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gpsd: gpsd (GPS service daemon)
+gpsd:
+gpsd: gpsd is a service daemon that monitors one or more GPSes attached to
+gpsd: a host computer through serial or USB ports, making all data on the
+gpsd: location/course/velocity available to be queried on TCP port 2947
+gpsd: of the host computer. With gpsd, multiple GPS client applications
+gpsd: (such as navigational and wardriving software) can share access to
+gpsd: GPSes without contention or loss of data.
+gpsd:
+gpsd: Homepage: http://gpsd.berlios.de/
+gpsd: